Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileEdge Class Reference
Profile

## Description

Represents a profile edge used in various profile tools.

Inherits kObject.

## Public Member Functions
k64f | GoProfileEdge_DepthMin (GoProfileEdge edge)
| Gets the minimum depth. More...
k64f | GoProfileEdge_EdgeAngle (GoProfileEdge edge)
| Gets the edge angle. More...
k64f | GoProfileEdge_NominalRadius (GoProfileEdge edge)
| Gets the nominal radius. More...
GoProfileRegion | GoProfileEdge_Region (GoProfileEdge edge)
| Gets the profile region. More...
kStatus | GoProfileEdge_SetDepthMin (GoProfileEdge edge, k64f depth)
| Sets the minimum depth. More...
kStatus | GoProfileEdge_SetEdgeAngle (GoProfileEdge edge, k64f angle)
| Sets the edge angle. More...
kStatus | GoProfileEdge_SetNominalRadius (GoProfileEdge edge, k64f radius)
| Sets the nominal radius. More...
kStatus | GoProfileEdge_SetSurfaceOffset (GoProfileEdge edge, k64f offset)
| Sets the surface offset. More...
kStatus | GoProfileEdge_SetSurfaceWidth (GoProfileEdge edge, k64f width)
| Sets the surface width. More...
kStatus | GoProfileEdge_SetType (GoProfileEdge edge, GoProfileEdgeType type)
| Sets the profile edge type. More...
kStatus | GoProfileEdge_SetVoidWidthMax (GoProfileEdge edge, k64f width)
| Sets the maximum void width. More...
k64f | GoProfileEdge_SurfaceOffset (GoProfileEdge edge)
| Gets the surface offset. More...
k64f | GoProfileEdge_SurfaceWidth (GoProfileEdge edge)
| Gets the surface width. More...
GoProfileEdgeType | GoProfileEdge_Type (GoProfileEdge edge)
| Gets the profile edge type. More...
k64f | GoProfileEdge_VoidWidthMax (GoProfileEdge edge)
| Gets the maximum void width. More...

## Member Function Documentation

k64f GoProfileEdge_DepthMin | ( | GoProfileEdge | edge | ) |

Gets the minimum depth.

Parameters

  edge | GoProfileEdge object.

Returns
  The minimum depth.

k64f GoProfileEdge_EdgeAngle | ( | GoProfileEdge | edge | ) |

Gets the edge angle.

Parameters

  edge | GoProfileEdge object.

Returns
  The edge angle.

k64f GoProfileEdge_NominalRadius | ( | GoProfileEdge | edge | ) |

Gets the nominal radius.

Parameters

  edge | GoProfileEdge object.

Returns
  The nominal radius.

GoProfileRegion GoProfileEdge_Region | ( | GoProfileEdge | edge | ) |

Gets the profile region.

Parameters

  edge | GoProfileEdge object.

Returns
  The profile region.

kStatus GoProfileEdge_SetDepthMin | ( | GoProfileEdge | edge,
|  | k64f | depth
| ) |  |

Sets the minimum depth.

Parameters

  edge | GoProfileEdge object.
  depth | The minimum depth.

Returns
  Operation status.

kStatus GoProfileEdge_SetEdgeAngle | ( | GoProfileEdge | edge,
|  | k64f | angle
| ) |  |

Sets the edge angle.

Parameters

  edge | GoProfileEdge object.
  angle | k64f object.

Returns
  Operation status.

kStatus GoProfileEdge_SetNominalRadius | ( | GoProfileEdge | edge,
|  | k64f | radius
| ) |  |

Sets the nominal radius.

Parameters

  edge | GoProfileEdge object.
  radius | The nominal radius.

Returns
  Operation status.

kStatus GoProfileEdge_SetSurfaceOffset | ( | GoProfileEdge | edge,
|  | k64f | offset
| ) |  |

Sets the surface offset.

Parameters

  edge | GoProfileEdge object.
  offset | The surface offset.

Returns
  Operation status.

kStatus GoProfileEdge_SetSurfaceWidth | ( | GoProfileEdge | edge,
|  | k64f | width
| ) |  |

Sets the surface width.

Parameters

  edge | GoProfileEdge object.
  width | The surface width.

Returns
  Operation status.

kStatus GoProfileEdge_SetType | ( | GoProfileEdge | edge,
|  | GoProfileEdgeType | type
| ) |  |

Sets the profile edge type.

Parameters

  edge | GoProfileEdge object.
  type | The type of the profile edge.

Returns
  Operation status.

kStatus GoProfileEdge_SetVoidWidthMax | ( | GoProfileEdge | edge,
|  | k64f | width
| ) |  |

Sets the maximum void width.

Parameters

  edge | GoProfileEdge object.
  width | The width to set for the maximum void width.

Returns
  Operation status.

k64f GoProfileEdge_SurfaceOffset | ( | GoProfileEdge | edge | ) |

Gets the surface offset.

Parameters

  edge | GoProfileEdge object.

Returns
  The surface offset.

k64f GoProfileEdge_SurfaceWidth | ( | GoProfileEdge | edge | ) |

Gets the surface width.

Parameters

  edge | GoProfileEdge object.

Returns
  The surface width.

GoProfileEdgeType GoProfileEdge_Type | ( | GoProfileEdge | edge | ) |

Gets the profile edge type.

Parameters

  edge | GoProfileEdge object.

Returns
  The profile edge type.

k64f GoProfileEdge_VoidWidthMax | ( | GoProfileEdge | edge | ) |

Gets the maximum void width.

Parameters

  edge | GoProfileEdge object.

Returns
  Maximum void width.

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h